import { ChangeEventHandler } from "react";
import { Sizes, Variant } from "../../util/types";
export interface TextInput {
    value?: string | number;
    defaultValue?: string | number;
    label?: string;
    disabled?: boolean;
    errorFn?: (value: string | number) => boolean;
    errorText?: string;
    size?: Sizes;
    variant?: Variant;
    type?: "text" | "email" | "password";
    onChange?: ChangeEventHandler<HTMLInputElement>;
    className?: string;
    loading?: boolean;
    notification?: string;
}
declare const TextInput: (props: TextInput) => JSX.Element;
export default TextInput;
