import { MouseEventHandler, ReactNode, ChangeEventHandler } from 'react';

declare type Sizes = "xs" | "sm" | "md" | "lg" | "xl";
declare type Variant = "primary" | "secondary" | "danger";

interface ButtonProps {
    label?: string;
    size?: Sizes;
    variant?: Variant;
    onClick?: MouseEventHandler<HTMLButtonElement>;
    loading?: boolean;
    disabled?: boolean;
    icon?: ReactNode;
    iconPosition?: "left" | "top" | "bottom" | "right";
    className?: string;
}
declare const Button: (props: ButtonProps) => JSX.Element;

interface TextInput {
    value?: string | number;
    defaultValue?: string | number;
    label?: string;
    disabled?: boolean;
    errorFn?: (value: string | number) => boolean;
    errorText?: string;
    size?: Sizes;
    variant?: Variant;
    type?: "text" | "email" | "password";
    onChange?: ChangeEventHandler<HTMLInputElement>;
    className?: string;
    loading?: boolean;
    notification?: string;
}
declare const TextInput: (props: TextInput) => JSX.Element;

export { Button, TextInput };
